//File of a high grass blade definition

#declare GrassColor = color srgb <142 / 255, 179 / 255, 109 / 255 >;

#declare GrassBladeLength = 60;

#declare GrassBoltYScale = 12;

#declare GrassExt = 1.5;

#declare GrassBase = prism{ linear_sweep linear_spline 0, GrassBladeLength, 5 <0, 0>, <-GrassExt, -0.25>, <0, -0.02>, <GrassExt, -0.25>, <0, 0> }
#declare GrassBolt = prism{ conic_sweep linear_spline 0, 1, 5 <0, 0>, <-GrassExt, -GrassExt / 2>, <0, -0.02>, <GrassExt, -GrassExt / 2 >, < 0, 0 > scale <1, GrassBoltYScale, 1> rotate 180*x rotate 180*y translate (GrassBladeLength + GrassBoltYScale) * y }
	
#declare HighGrassBlade = merge{
								object{ GrassBase }
								object{ GrassBolt }
							texture{ pigment{ GrassColor } }
							scale 0.015
						}

